(* Driver program for the pessimizer *)

let file_processed = ref false

let process_file f =
  let ic = open_in f in
  Pessi.transcribe stdout (Parser.parse_channel ic);
  close_in ic;
  file_processed := true

let _ =
  Arg.parse
    ["-b", Arg.Int(fun i -> Pessi.num_solutions := i),
           "branching factor (default: 5)";
     "-n", Arg.Int(fun i -> Pessi.num_states := i),
           "number of candidates to keep at each stage (default: 20)"]
    process_file
    "Usage: pessi [options] [input files]\nOptions are:";
  if not !file_processed then
    Pessi.transcribe stdout (Parser.parse_channel stdin)
