type context =
  { b: bool;
    em: bool;
    i: bool;
    s: bool;
    tt: bool;
    u: int;
    size: char;
    color: char }

type run =
  { pos: int;
    len: int;
    ctx: context }

val initial_color: char
val initial_size: char
val initial_context: context

val parse_file: string -> string * run list
val parse_string: string -> string * run list
val parse_channel: in_channel -> string * run list

val open_tag: context -> Lexer.tag -> context
val same_space_context: context -> context -> bool

exception Parse_error of string
